<template>
  <b-empty-state
    :illustration="require('~/assets/images/empty-state.svg')"
    :message="message"
  >
    <slot slot="message" name="message"></slot>
    <slot slot="action" name="action"></slot>
  </b-empty-state>
</template>

<script>
export default {
  name: 'CommonEmptyState',
  props: {
    message: {
      type: String,
      default: '',
    },
  },
}
</script>
